My Project: dgAABBPolygonSoup::dgNodeBuilder Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
dgAABBPolygonSoup::dgNodeBuilder Class Reference
Inheritance diagram for dgAABBPolygonSoup::dgNodeBuilder:

## Public Member Functions

| dgNodeBuilder (const dgVector &p0, const dgVector &p1)
| dgNodeBuilder (const dgVector *const vertexArray, dgInt32 faceIndex, dgInt32 indexCount, const dgInt32 *const indexArray)
| dgNodeBuilder (dgNodeBuilder *const left, dgNodeBuilder *const right)
void | SetBox (const dgVector &p0, const dgVector &p1)
Public Member Functions inherited from dgAABBPolygonSoup::dgNode
| dgNode ()
DG_INLINE dgFloat32 | RayDistance (const dgFastRayTest &ray, const dgTriplex *const vertexArray) const
DG_INLINE dgFloat32 | BoxPenetration (const dgFastAABBInfo &obb, const dgTriplex *const vertexArray) const
DG_INLINE dgFloat32 | BoxIntersect (const dgFastRayTest &ray, const dgFastRayTest &obbRay, const dgFastAABBInfo &obb, const dgTriplex *const vertexArray) const

## Static Public Member Functions

static dgFloat32 | CalculateSurfaceArea (dgNodeBuilder *const node0, dgNodeBuilder *const node1, dgVector &minBox, dgVector &maxBox)

## Public Attributes

dgVector | m_p0
dgVector | m_p1
dgVector | m_size
dgVector | m_origin
dgFloat32 | m_area
dgNodeBuilder * | m_left
dgNodeBuilder * | m_right
dgNodeBuilder * | m_parent
dgInt32 | m_indexBox0
dgInt32 | m_indexBox1
dgInt32 | m_enumeration
dgInt32 | m_faceIndex
dgInt32 | m_indexCount
const dgInt32 * | m_faceIndices
Public Attributes inherited from dgAABBPolygonSoup::dgNode
dgInt32 | m_indexBox0
dgInt32 | m_indexBox1
dgLeafNodePtr | m_left
dgLeafNodePtr | m_right

## Additional Inherited Members

Public Types inherited from dgAABBPolygonSoup::dgNode
enum | dgNodeType { m_binary = 0, m_leaf }

## Constructor & Destructor Documentation

## § dgNodeBuilder() [1/3]

dgAABBPolygonSoup::dgNodeBuilder::dgNodeBuilder | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

inline

## § dgNodeBuilder() [2/3]

dgAABBPolygonSoup::dgNodeBuilder::dgNodeBuilder | ( | const dgVector *const | vertexArray,
|  | dgInt32 | faceIndex,
|  | dgInt32 | indexCount,
|  | const dgInt32 *const | indexArray
| ) |  |

inline

## § dgNodeBuilder() [3/3]

dgAABBPolygonSoup::dgNodeBuilder::dgNodeBuilder | ( | dgNodeBuilder *const | left,
|  | dgNodeBuilder *const | right
| ) |  |

inline

## Member Function Documentation

## § CalculateSurfaceArea()

static dgFloat32 dgAABBPolygonSoup::dgNodeBuilder::CalculateSurfaceArea | ( | dgNodeBuilder *const | node0,
|  | dgNodeBuilder *const | node1,
|  | dgVector & | minBox,
|  | dgVector & | maxBox
| ) |  |

inlinestatic

## § SetBox()

void dgAABBPolygonSoup::dgNodeBuilder::SetBox | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

inline

## Member Data Documentation

## § m_area

dgFloat32 dgAABBPolygonSoup::dgNodeBuilder::m_area

## § m_enumeration

dgInt32 dgAABBPolygonSoup::dgNodeBuilder::m_enumeration

## § m_faceIndex

dgInt32 dgAABBPolygonSoup::dgNodeBuilder::m_faceIndex

## § m_faceIndices

const dgInt32* dgAABBPolygonSoup::dgNodeBuilder::m_faceIndices

## § m_indexBox0

dgInt32 dgAABBPolygonSoup::dgNodeBuilder::m_indexBox0

## § m_indexBox1

dgInt32 dgAABBPolygonSoup::dgNodeBuilder::m_indexBox1

## § m_indexCount

dgInt32 dgAABBPolygonSoup::dgNodeBuilder::m_indexCount

## § m_left

dgNodeBuilder* dgAABBPolygonSoup::dgNodeBuilder::m_left

## § m_origin

dgVector dgAABBPolygonSoup::dgNodeBuilder::m_origin

## § m_p0

dgVector dgAABBPolygonSoup::dgNodeBuilder::m_p0

## § m_p1

dgVector dgAABBPolygonSoup::dgNodeBuilder::m_p1

## § m_parent

dgNodeBuilder* dgAABBPolygonSoup::dgNodeBuilder::m_parent

## § m_right

dgNodeBuilder* dgAABBPolygonSoup::dgNodeBuilder::m_right

## § m_size

dgVector dgAABBPolygonSoup::dgNodeBuilder::m_size

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgAABBPolygonSoup.cpp